ooo-build r14495 - in trunk: . bin
- From: tml svn gnome org
- To: svn-commits-list gnome org
- Subject: ooo-build r14495 - in trunk: . bin
- Date: Thu, 13 Nov 2008 15:21:13 +0000 (UTC)
Author: tml
Date: Thu Nov 13 15:21:13 2008
New Revision: 14495
URL: http://svn.gnome.org/viewvc/ooo-build?rev=14495&view=rev
Log:
2008-11-13 Tor Lillqvist <tml novell com>
Actually commit this, from 2008-10-20, merge from ooo-build-3-0:
* bin/unpack: For NovellWin32 and GoOoWin32 builds, create an
extension dict-bundle.oxt that contains the prebuilt dictionaries
based on the ones from SUSE instead of a writingaids.zip which
isn't used any more.
Modified:
trunk/ChangeLog
trunk/bin/unpack
Modified: trunk/bin/unpack
==============================================================================
--- trunk/bin/unpack (original)
+++ trunk/bin/unpack Thu Nov 13 15:21:13 2008
@@ -485,13 +485,107 @@
case "$DISTRO" in
NovellWin32*|GoOoWin32*)
- # Create prebuilt writingaids.zip
+
+ # Create prebuilt dict-bundle.oxt
+
tmpdir=`mktemp -d`
(cd $tmpdir
- unzip $SRCDIR/writingaids-$PREBUILT_WRITINGAIDS_TIMESTAMP.zip
- unzip $SRCDIR/writingaids-doc-$PREBUILT_WRITINGAIDS_TIMESTAMP.zip
- mkdir $OOBUILDDIR/dictionaries/prebuilt
- zip -r $OOBUILDDIR/dictionaries/prebuilt/writingaids.zip .)
+ unzip -q $SRCDIR/writingaids-$PREBUILT_WRITINGAIDS_TIMESTAMP.zip
+ unzip -q $SRCDIR/writingaids-doc-$PREBUILT_WRITINGAIDS_TIMESTAMP.zip
+
+ echo '<?xml version="1.0" encoding="UTF-8"?>
+<description xmlns="http://openoffice.org/extensions/description/2006" xmlns:d="http://openoffice.org/extensions/description/2006" xmlns:xlink="http://www.w3.org/1999/xlink">
+ <version value="'$PREBUILT_WRITINGAIDS_TIMESTAMP.`date +%Y%m%d`'" />
+ <identifier value="org.go-oo.dictionaries.bundle" />
+ <display-name>
+ <name lang="en">Built-in spelling and hyphenation dictionaries and thesauri</name>
+ </display-name>
+ <platform value="all" />
+ <dependencies>
+ <OpenOffice.org-minimal-version value="3.0" d:name="OpenOffice.org 3.0" />
+ </dependencies>
+</description>' >description.xml
+
+ mkdir META-INF
+ echo '<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE manifest:manifest PUBLIC "-//OpenOffice.org//DTD Manifest 1.0//EN" "Manifest.dtd">
+<manifest:manifest xmlns:manifest="http://openoffice.org/2001/manifest">
+ <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data"
+ manifest:full-path="dictionaries.xcu"/>
+</manifest:manifest>' >META-INF/manifest.xml
+
+ # Read the dictionary.lst file and write a dictionaries.xcu file
+ # Note that unlike upstream's dictionaries.xcu files,
+ # we can't support several locales for one entry in the dictionary.lst
+ # file. (For instance the upstream af_ZA dictionairs.xcu supports
+ # both af-ZA and af-NA.)
+ (
+ echo '<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="Linguistic" oor:package="org.openoffice.Office">
+ <node oor:name="ServiceManager">
+ <node oor:name="Dictionaries">'
+ while read type lang country root; do
+ case "$type" in
+ \#*)
+ ;;
+ '')
+ ;;
+ DICT)
+ echo ' <node oor:name="HunSpellDic_'$lang-$country'" oor:op="fuse">
+ <prop oor:name="Locations" oor:type="oor:string-list">
+ <value>%origin%/'$root'.aff %origin%/'$root'.dic</value>
+ </prop>
+ <prop oor:name="Format" oor:type="xs:string">
+ <value>DICT_SPELL</value>
+ </prop>
+ <prop oor:name="Locales" oor:type="oor:string-list">
+ <value>'$lang-$country'</value>
+ </prop>
+ </node>'
+ ;;
+ HYPH)
+ echo ' <node oor:name="HyphDic_'$lang-$country'" oor:op="fuse">
+ <prop oor:name="Locations" oor:type="oor:string-list">
+ <value>%origin%/'$root'.dic</value>
+ </prop>
+ <prop oor:name="Format" oor:type="xs:string">
+ <value>DICT_HYPH</value>
+ </prop>
+ <prop oor:name="Locales" oor:type="oor:string-list">
+ <value>'$lang-$country'</value>
+ </prop>
+ </node>'
+ ;;
+ THES)
+ echo ' <node oor:name="ThesDic_'$lang-$country'" oor:op="fuse">
+ <prop oor:name="Locations" oor:type="oor:string-list">
+ <value>%origin%/'$root'.dat %origin%/'$root'.idx</value>
+ </prop>
+ <prop oor:name="Format" oor:type="xs:string">
+ <value>DICT_THES</value>
+ </prop>
+ <prop oor:name="Locales" oor:type="oor:string-list">
+ <value>'$lang-$country'</value>
+ </prop>
+ </node>'
+ ;;
+ *)
+ echo "Unknown code '$type' in dictionary.lst in writingaids-$PREBUILT_WRITINGAIDS_TIMESTAMP.zip" >&2
+ exit 1
+ ;;
+ esac
+ done <dictionary.lst
+
+ echo ' </node>
+ </node>
+</oor:component-data>'
+ ) >dictionaries.xcu
+
+ rm dictionary.lst
+
+ mkdir -p $OOBUILDDIR/dictionaries/prebuilt
+ rm -f $OOBUILDDIR/dictionaries/prebuilt/dict-bundle.oxt
+ zip -qDr $OOBUILDDIR/dictionaries/prebuilt/dict-bundle.oxt .)
rm -rf $tmpdir
;;
esac
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]